package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.Optional;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvKandidater extends Csv {

    public CsvKandidater() {
        super("kandidater.csv",
                new ParseInt(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new ParseInt(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new Optional());
        String[] headers = new String[]{"valgaar", "valgtype", "valgdistriktnr", "partikode", "plassnr", "navn", "fodselsdato", "kjonn", "bosted"};
        super.setHeader(headers);
    }

}
